<?php 
$haveHome = false;
$wapl = new WordPressWapl;

if(function_exists('wp_page_menu'))
{
	$pagesArray = preg_split('/<li(.*?)>/', wp_page_menu(array('echo' => false, 'show_home' => true)));
	$haveHome = true;
} else if(function_exists('wp_list_pages'))
{
	$pagesArray = preg_split('/<li(.*?)>/', wp_list_pages('echo=0&show_home=1'));
}

$themeoption = get_option('architect_theme');

$string = '';
if($haveHome == false)
{
	$linkString .= '[url='.htmlspecialchars(get_option('home')).']Home[/url]';

	if($themeoption != 'iphoneLight' AND $themeoption != 'iphoneDark')
	{
		$linkString .= '| ';
	}
}

$i = 0;
$linkString = '';

$pagesToShow = get_option('architect_showmenuitems');
$pagesToShowArr = array();

if($pagesToShow)
{
	$pagesToShowArr = explode('|', $pagesToShow);
}

foreach($pagesToShowArr as $key => $val)
{
	$pagesToShowArr[$key] = preg_replace('/(?!&#)&/', '&amp;', $val);
}

foreach($pagesArray as $val)
{
	preg_match_all('/<a(.*?)href="(.*?)"(.*?)>(.*?)<\/a>/is', $val, $matches);
	
	if(isset($matches[2][0]) && $matches[2][0] != '')
	{
		// Only show pages we've specified (if we've specified)
		if($pagesToShow)
		{
			$matches[4][0] = str_replace(array('&#8217;', '&#8211;', '&#038;'), array("\'", '-', '&amp;'), $matches[4][0]);
			
			if(in_array($matches[4][0], $pagesToShowArr))
			{
				$linkString .= '[url='.htmlspecialchars($matches[2][0]).']'.stripslashes($matches[4][0]).'[/url]';
				
				if($themeoption != 'iphoneLight' AND $themeoption != 'iphoneDark')
				{
					$linkString .= '| ';
				}
			}
		} else
		{
			$linkString .= '[url='.htmlspecialchars($matches[2][0]).']'.stripslashes($matches[4][0]).'[/url]';
			if($themeoption != 'iphoneLight' AND $themeoption != 'iphoneDark')
			{
				$linkString .= '| ';
			}
		}
	}
	$i++;
}

if($themeoption != 'iphoneLight' AND $themeoption != 'iphoneDark')
{
	$linkString = substr($linkString, 0, (strlen($linkString) - 2));
}

$string .= $wapl->chunk('words', array('class' => 'nav', 'quick_text' => $linkString.'[span=menuEnd] [/span]'));
return $string;
?>